<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="/">
  <html>
    <head>
      <title>Glossar des Projekts</title>
    </head>
    <body>
    <h2>Glossar des Projekts</h2>

    <xsl:for-each select="Glossar/Eintrag">
      <p><b><xsl:value-of select="Begriff"/></b></p>
      <dfn><xsl:value-of select="Definition"/></dfn>
      <ul><xsl:apply-templates select="Bemerkung"/></ul>
    </xsl:for-each>

    </body>
  </html>
</xsl:template>


<xsl:template match="Bemerkung">
  <li>
    <xsl:choose>
      <xsl:when test="contains(., '!')">
        <b><span style="color:red"><xsl:value-of select="."/></span></b>
      </xsl:when>
      <xsl:when test="contains(., '?')">
        <b><xsl:value-of select="."/></b>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="."/>
      </xsl:otherwise>
    </xsl:choose>
  </li>
</xsl:template>

</xsl:stylesheet>