<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>
  <head>
    <title>Risikoliste des Projekts</title>
  </head>
  <body>
    <h2>Risikoliste des Projekts</h2>

    <table border="1">
    <tr>
      <th>Risiko</th>
      <th>Eintrittswahrscheinlichkeit</th>
      <th>Gefahrenpotential</th>
      <th>Prfdatum</th>
      <th>Abhilfen</th>
      <th>Bemerkungen</th>
    </tr>
    <xsl:for-each select="RisikoListe/Risiko">
    <tr>
      <td><xsl:value-of select="Beschreibung"/></td>
      <td><xsl:value-of select="Eintrittswahrscheinlichkeit"/></td>
      <td><xsl:value-of select="Gefahrenpotential"/></td>
      <td><xsl:value-of select="Prfdatum"/></td>
      <td><ul><xsl:apply-templates select="Abhilfe"/></ul></td>
      <td><ul><xsl:apply-templates select="Bemerkung"/></ul></td>
    </tr>
    </xsl:for-each>
    </table>
    
    <ul>
      <li>Eintrittswahrscheinlichkeit: 0=unwahrscheinlich, 1=niedrig, 2=mittel, 3=hoch</li>
      <li>Gefahrenpotential: 0=minimal, 1=niedrig, 2=mittel, 3=verhindert Inbetriebnahme</li>
    </ul>
  </body>
  </html>
</xsl:template>

<xsl:template match="Abhilfe">
  <li><xsl:value-of select="."/></li>
</xsl:template>

<xsl:template match="Bemerkung">
  <li><xsl:value-of select="."/></li>
</xsl:template>

</xsl:stylesheet>