<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>
  <head>
    <title>Release-Plan des Projekts</title>
  </head>
  <body>
    <h2>Release-Plan des Projekts</h2>

    <table border="1">
    <tr>
      <th>Release</th>
      <th>Release-Datum</th>
      <th>Implementierte Ziele</th>
      <th>Release-Kriterien</th>
      <th>Bemerkungen</th>
    </tr>
    <xsl:for-each select="ReleasePlan/Release">
    <tr>
      <td>R<xsl:number value="position()"/></td>
      <td><xsl:value-of select="Release-Datum"/></td>
      <td><ul><xsl:apply-templates select="Ziel"/></ul></td>
      <td><ul><xsl:apply-templates select="Release-Kriterium"/></ul></td>
      <td><ul><xsl:apply-templates select="Bemerkung"/></ul></td>
    </tr>
    </xsl:for-each>
    </table>
  </body>
  </html>
</xsl:template>

<xsl:template match="Bemerkung">
  <li><xsl:value-of select="."/></li>
</xsl:template>

<xsl:template match="Ziel">
  <li><xsl:value-of select="."/></li>
</xsl:template>

<xsl:template match="Release-Kriterium">
  <li><xsl:value-of select="."/></li>
</xsl:template>

</xsl:stylesheet>